Bug 1013239 - anaconda silently ignores hard disk which is a possible dmraid member
anaconda silently ignores hard disk which is a possible dmraid member
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 13:05 EDT by Peter Bieringer
Modified: 2014-06-11 09:43 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-11 09:43:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2013-09-28 13:05:52 EDT
Description of problem:

anaconda silently ignores hard disk which is a possible dmraid member since FC18, while FC17 has a (very useful!) warning box.

Version-Release number of selected component (if applicable):
FC18, FC19, FC20-alpha

How reproducible:
- use a harddisk which was a former member of a dmraid

Steps to Reproduce:
1. boot CD/DVD into installation setup

Actual results:
Having no local disk to install distribution

Expected results:
Warning box like in FC17


Additional info:

to clear obsolete dmraid information I'm using

dmraid -an
dmraid -x
Comment 1 r 2013-09-30 03:08:20 EDT
workaround is use dmraid command to remove the BIOS RAID metadata.
dmraid -r -E /dev/sdc
Do you really want to erase “sil” ondisk metadata on /dev/sdc ? [y/n] :y
after reboot anaconda see /dev/sdc disk.
Comment 2 Brian Lane 2013-10-01 20:26:30 EDT
Please attach the logs from  /tmp/*log as individual text/plain attachments.
Comment 3 Peter Bieringer 2014-06-11 00:25:53 EDT
Sorry, had no chance to provide requested logs so far. In case I found a harddrive in the future which was a former BIOS dmraid member, I will update the case.

Note You need to log in before you can comment on or make changes to this bug.